apply from: "${project.rootDir}/core.build.gradle"



android {
    namespace = "com.ama.core.architecture"
    buildFeatures {
        viewBinding = true
    }

    buildTypes {
        debug {
            minifyEnabled false
            zipAlignEnabled true
        }
        release {
            minifyEnabled false
            zipAlignEnabled true
        }
    }
}





dependencies {
    api(project(":core:common"))
    api(project(":core:designsystem"))
    api(project(":core:model"))
    api(libs.material)
    api(libs.appcompat)
    implementation(libs.lifecycle.viewmodel.ktx)
    implementation(libs.fragment.ktx)
    implementation(libs.retrofit.kotlin.serialization)
    implementation(libs.baseAdapter)
    api(libs.magicIndicator)
    implementation(libs.glide)
    implementation(libs.okhttp.logging)
    implementation(libs.kotlinx.serialization.json)
    implementation(libs.gson)
    implementation(libs.startup)
    implementation 'org.jetbrains.kotlin:kotlin-stdlib:1.8.22'
    api 'io.github.pengxurui:modular-eventbus-api:1.0.5'
    api 'io.github.pengxurui:modular-eventbus-compiler:1.0.5'
    implementation project(':bill')
    api 'com.google.android.gms:play-services-ads-identifier:18.0.1'
}